Skip to main content

Get all vendors

GEThttps://api.propexo.com/v1/vendors/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

x_property_id string

The external ID of the property from the integration vendor

property_id string

The Propexo unique identifier for the property

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the vendor

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Vendor InvoicingGetVendors_Login
    Vendor InvoicingGetVendor_LoginAsync
    Service RequestsGetServiceRequest_Search
    Example: v10294
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Service RequestsGetServiceRequests
    Vendor InvoicingGetVendors_Login
    Vendor InvoicingGetVendor_LoginAsync
    Service RequestsGetServiceRequest_Search
    Example: na
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    account_numbernullrequired

    The account number associated with the vendor

    Notice

    This field will always be null for YARDI

    Example: null
    is_activeboolean | nullnullablerequired

    Whether the vendor is active

    InterfaceMethod
    Vendor InvoicingGetVendors_Login
    Vendor InvoicingGetVendor_LoginAsync
    Example: true
    namestring | nullnullablerequired

    The name associated with the vendor

    InterfaceMethod
    Vendor InvoicingGetVendors_Login
    Vendor InvoicingGetVendor_LoginAsync
    Example: Harbor Plumbing Co
    notesstring | nullnullablerequired

    Notes associated with the vendor

    InterfaceMethod
    Vendor InvoicingGetVendors_Login
    Vendor InvoicingGetVendor_LoginAsync
    Example: Preferred vendor for after-hours plumbing
    tax_idnullrequired

    The tax payer identification number associated with the vendor

    Notice

    This field will always be null for YARDI

    Example: null
    third_party_idnullrequired

    A unique value provided to the PMS to uniquely identify the vendor from your system.

    Notice

    This field will always be null for YARDI

    Example: null
    typenullrequired

    The type associated with the vendor

    Notice

    This field will always be null for YARDI

    Example: null
    contacts object[]required
  • Array [
  • address_1string | nullnullablerequired

    The first address line associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    Example: 123 Main St
    address_2string | nullnullablerequired

    The second address line associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    citystring | nullnullablerequired

    The city associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    Example: Boston
    countrystring | nullnullablerequired

    The country associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    Example: US
    statestring | nullnullablerequired

    The state associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    Example: MA
    zipstring | nullnullablerequired

    The zip code associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    Example: 02116
    phonestring | nullnullablerequired

    Primary phone number associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    phone_typestring | nullnullablerequired

    Type of the primary phone number

    Notice

    This field is not currently hydrated for YARDI

    emailstring | nullnullablerequired

    The primary email address associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

    is_primaryboolean | nullnullablerequired

    Whether the vendor is the primary record

    Notice

    This field is not currently hydrated for YARDI

    namestring | nullnullablerequired

    The name associated with the vendor

    Notice

    This field is not currently hydrated for YARDI

  • ]
  • custom_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/vendors/
curl https://api.propexo.com/v1/vendors/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "v10294",
"x_property_id": "na",
"x_location_id": null,
"account_number": null,
"is_active": true,
"name": "Harbor Plumbing Co",
"notes": "Preferred vendor for after-hours plumbing",
"tax_id": null,
"third_party_id": null,
"type": null,
"contacts": [
{
"address_1": "123 Main St",
"address_2": "string",
"city": "Boston",
"country": "US",
"state": "MA",
"zip": "02116",
"phone": "string",
"phone_type": "string",
"email": "string",
"is_primary": true,
"name": "string"
}
],
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}